# CUpti_ActivityAutoBoostState Struct Reference
[CUPTI Activity API]

Device auto boost state structure. More...

## Data Fields
uint32_t | enabled
uint32_t | pid

## Detailed Description

This structure defines auto boost state for a device. See function cuptiGetAutoBoostState

## Field Documentation

uint32_t CUpti_ActivityAutoBoostState::enabled

Returned auto boost state. 1 is returned in case auto boost is enabled, 0 otherwise

uint32_t CUpti_ActivityAutoBoostState::pid

Id of process that has set the current boost state. The value will be CUPTI_AUTO_BOOST_INVALID_CLIENT_PID if the user does not have the permission to query process ids or there is an error in querying the process id.